=== 3rdparty/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
add_subdirectory(nvwa)
add_subdirectory(wiiuse)
if (WIN32)
add_subdirectory(libconfig)
endif(WIN32)
