=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
add_subdirectory(spcore)
add_subdirectory(mod_sdl)
add_subdirectory(testcommon)
add_subdirectory(creavision)
IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
add_subdirectory(libwebcam)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
add_subdirectory(mod_camera)
add_subdirectory(mod_collage)
add_subdirectory(mod_wiimotes)
add_subdirectory(mod_midi)
add_subdirectory(widgets_base)
add_subdirectory(sitplus)
add_subdirectory(mod_vision)
add_subdirectory(sphost)
add_subdirectory(mod_widgets)
add_subdirectory(mod_score_player)
add_subdirectory(mod_puredata)
add_subdirectory(mod_io)
add_subdirectory(mod_hid)
add_subdirectory(mod_audio)
add_subdirectory(mod_ipl_sdl)
