=== 3rdparty/nvwa/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(nvwa)

set(nvwa_SRCS
	bool_array.cpp
	bool_array.h
	class_level_lock.h
	cont_ptr_utils.h
	debug_new.cpp
	debug_new.h
	fast_mutex.h
	fixed_mem_pool.h
	mem_pool_base.cpp
	mem_pool_base.h
	object_level_lock.h
	pctimer.h
	set_assign.h
	static_assert.h
	static_mem_pool.cpp
	static_mem_pool.h
)
 
add_library (nvwa STATIC ${nvwa_SRCS})
add_executable (nvwa_loader nvwa_loader.cpp)
