=== src/mod_audio/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(spmod_audio)

set(spmod_audio_SRCS	
	mod_audio.cpp
)

find_package(wxWidgets COMPONENTS core base adv REQUIRED)
message (STATUS "wxWidgets_LIBRARIES:${wxWidgets_LIBRARIES}")

add_library (spmod_audio MODULE ${spmod_audio_SRCS})
target_link_libraries(spmod_audio spcore)
target_link_libraries(spmod_audio ${wxWidgets_LIBRARIES})

INSTALL (TARGETS spmod_audio RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})
