=== src/mod_camera/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(spmod_camera)

set(spmod_camera_SRCS
	${CUSTOM_INCLUDE_PATH}/mod_camera/iplimagetype.h
	${CUSTOM_INCLUDE_PATH}/mod_camera/roitype.h
	roitype.cpp
	mod_camera.cpp
	mod_camera.h
	wcameraconfiguration.cpp
	wcameraconfiguration.h
	wcamerapanel.cpp
	wcamerapanel.h
	wxroicontrol.h
	wxroicontrol.cpp
)

# Base library
FIND_PACKAGE( OpenCV REQUIRED )
INCLUDE_DIRECTORIES (${OpenCV_INCLUDE_DIR})
INCLUDE_DIRECTORIES (..)

add_library (spmod_camera MODULE ${spmod_camera_SRCS})
target_link_libraries(spmod_camera creavision)
target_link_libraries(spmod_camera spcore)
target_link_libraries(spmod_camera ${Boost_THREAD_LIBRARY})
target_link_libraries(spmod_camera ${Boost_PROGRAM_OPTIONS_LIBRARY})
target_link_libraries(spmod_camera ${wxWidgets_LIBRARIES})

IF(BUILD_TESTS)
	ADD_SUBDIRECTORY(tests)
ENDIF(BUILD_TESTS)

INSTALL (TARGETS spmod_camera RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION ${PLUGINDIR})
