=== debian/changelog ===
sitplus (1.0.3-5.1build5) bionic; urgency=medium

  * No-change rebuild for libpoco soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Feb 2018 00:14:45 +0000

sitplus (1.0.3-5.1build4) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 13:07:56 +0100

sitplus (1.0.3-5.1build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:24:13 +0000

sitplus (1.0.3-5.1build2) artful; urgency=medium

  * No-change rebuild against libpocofoundation48

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Aug 2017 08:19:49 +0000

sitplus (1.0.3-5.1build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 20 Jun 2017 14:16:55 +0200

sitplus (1.0.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
    * Fix build with opencv 3 (Closes: #841405, #788209)
      - d/p:
        - Add 0010-Use-calcOpticalFlowFarneback-instead-of-cvCalcOptica.patch.
        - Add 0011-Remove-old-FindOpenCV.patch.
        - Add fix-build-with-opencv-2.x.
        Thanks to Jochen Sprickerhof <jspricke@debian.org>.
      - d/control: Add libopencv-dev to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Nov 2016 03:31:59 +0900

sitplus (1.0.3-5) unstable; urgency=medium

  * Team upload.
  * d/p/siteplus-1.0.3-gcc-6: Fix compilation with gcc-6,
    Closes: #811795
  * d/copyright: DEP5 corrections 
  * cme fix dpkg-control
  * d/: remove sitplus.menu file
  * d/rules: Enable hardening and remove -fpermissive

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 09 Jul 2016 12:59:15 +0000

sitplus (1.0.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0. (Closes: #750910)

 -- Olly Betts <olly@survex.com>  Fri, 22 May 2015 16:07:22 +1200

sitplus (1.0.3-4) unstable; urgency=low

  * Team upload.
  * Remove deprecated V4L2_CID_[HV]CENTER controls.
  * Use boost::TIME_UTC_. (Closes: #710645)
  * Added missing libs to link, fixing FTBFS on ubuntu.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Jul 2013 11:54:14 +0100

sitplus (1.0.3-3) unstable; urgency=low

  * debian/patches/sitplus-opencv2.4.patch: Build with recent opencv 2.4
    (Thanks for the patch to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #678226

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jun 2012 09:07:20 +0200

sitplus (1.0.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Replace Build-Depends on libcv-dev and
    libcvaux-dev with libopencv-dev. (Closes: #675183)

 -- Tim Retout <diocles@debian.org>  Thu, 07 Jun 2012 08:33:27 +0100

sitplus (1.0.3-2) unstable; urgency=low

  * Work around build failure with GCC 4.7. (Thanks for the patch to
    Matthias Klose <doko@debian.org>
    Closes: #672033.
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Fri, 11 May 2012 08:03:06 +0200

sitplus (1.0.3-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version.
  * Removed "lib_location_fix.diff" patch, no longer needed.
  * Removed "packager.diff" patch, no longer needed.
  
  [ Luis Rivas Vañó ]
  * Adding new dependencies (doxygen, libxtst-dev)
  * Adding Jonathan McCrohan patch for new libconfig compatibility.
  * Overriding dh_makeshlibs in rules files to avoid the
    execution of ldconfig in postinst and postrm scripts.
  * Now dh_installmenu takes care of adding update-menus to
    the postinst and postrm scripts.
  * Overriding dh_installchangelogs: now we install the upstream 
    changelog.

 -- Luis Rivas Vañó <luinix@gmail.com>  Mon, 05 Mar 2012 12:58:42 +0100

sitplus (1.0.1-4) unstable; urgency=low

  * debian/patches/libconfig_workaround.patch: Do not try wrong
    workarounds for FTBFS with libconfig according to advise given
    by upstream
    Closes: #661403
  * Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright:
     - check via `cme fix dpkg-copyright'
     - Final format definition
     - Added Upstream-Contact

 -- Andreas Tille <tille@debian.org>  Tue, 28 Feb 2012 21:25:22 +0100
