=== debian/control ===
Source: sitplus
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Luis Rivas Vañó <luinix@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libpoco-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-thread-dev,
               libboost-system-dev,
               libbluetooth-dev,
               libconfig-dev,
               libsdl1.2-dev,
               libopencv-dev,
               libopencv-dev | libhighgui-dev,
               libv4l-dev,
               libportmidi-dev,
               libboost-filesystem-dev,
               asciidoc,
               libsdl-gfx1.2-dev,
               libsdl-image1.2-dev,
               libwxgtk3.0-dev,
               doxygen,
               libxtst-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sitplus.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/sitplus.git
Homepage: http://sitplus.crea-si.com

Package: sitplus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sitplus-data,
         pd-cyclone,
         pd-freeverb,
         pd-iemnet,
         puredata,
         pd-libdir,
         pd-list-abs
Description: Free software framework for ludic-therapeutic activities
 SITPLUS is a free software (GNU GPL) framework whose main goal is to provide
 ludic-therapeutic activities for people with disabilities. It offers new forms
 of interaction based on computer vision, voice and other peripherals to
 produce a result in the form of image and sound. Inspired by the cause and
 effect applications, SITPLUS provides a tool for continuous and remote
 interaction, attainable to the majority of people with cognitive, sensory and
 physical disabilities.

Package: sitplus-data
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: sitplus
Description: Data files for Sitplus, a framework for ludic-therapeutic activities
 SITPLUS is a free software (GNU GPL) framework whose main goal is to provide
 ludic-therapeutic activities for people with disabilities. It offers new forms
 of interaction based on computer vision, voice and other peripherals to
 produce a result in the form of image and sound. Inspired by the cause and
 effect applications, SITPLUS provides a tool for continuous and remote
 interaction, attainable to the majority of people with cognitive, sensory and
 physical disabilities.
 .
 This package provides the data for sitplus.
